#
# spec file for package ocaml-stdlib-shims
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-stdlib-shims
VCS: https://src.suse.de/SLFO-pool/ocaml-stdlib-shims#0d0eca471ec33c4cab489fc504dc8187f2e38ef19b7ede4725178a7f09ae0b3d
Version:        0.3.0
Release:        slfo.1.1.6
%{?ocaml_preserve_bytecode}
Summary:        Shim to substitute Pervasives with Stdlib before 4.08
License:        LGPL-2.1-or-later WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
BuildRoot:      %_tmppath/%name-%version-build
URL:            https://opam.ocaml.org/packages/stdlib-shims
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20210409

%description
Compiling against this library allows replacing uses of Pervasives
with Stdlib before 4.08. For example, one can use Stdlib.compare
instead of Pervasives.compare. It does not, however, provide
the new functions and modules that were added in the Stdlib module.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Languages/OCaml
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
dune_release_pkgs='stdlib-shims'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %{name}.files
%defattr(-,root,root,-)

%files devel -f %{name}.files.devel
%defattr(-,root,root,-)

%changelog
* Fri Apr  9 2021 ohering@suse.de
- Update to version 0.3.0
  See included CHANGES.md for details
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
* Tue Oct  1 2019 jengelh@inai.de
- Fold description and fixup grammar.
* Mon Sep 23 2019 ohering@suse.de
- Initial version 0.1.0
